# Welcome to Jekyll!
#
# This config file is meant for settings that affect your whole site, values
# which you are expected to set up once and rarely edit after that. If you find
# yourself editing these this file very often, consider using Jekyll's data files
# feature for the data you need to update frequently.
#
# For technical reasons, this file is *NOT* reloaded automatically when you use
# 'jekyll serve'. If you change this file, please restart the server process.

# Site settings
# These are used to personalize your new site. If you look in the HTML files,
# you will see them accessed via {{ site.title }}, {{ site.github_repo }}, and so on.
# You can create any custom variable you would like, and they will be accessible
# in the templates via {{ site.myvariable }}.
title: MUDE
tagline: CEGM1000 Modelling, Uncertainty, and Data Analysis for Engineers
description: Course website for TU Delft CEGM1000, or Modelling, Uncertainty, and Data Analysis for Engineers
author: By MUDE Teachers and the Student Army
baseurl: / # the subpath of your site, e.g. /blog
url: https://mude.citg.tudelft.nl # the base hostname & protocol for your site, e.g. http://example.com
exclude:
  [
    "Gemfile",
    "Gemfile.lock",
    "LICENSE",
    vendor,
    "README.md",
    "build-local.sh",
    files,
    "build-page.sh",
    "_config.yml.bak",
  ]
logo: "/assets/logo/MUDE Logo.png"
footer_logo: "/assets/logo/TUDelft Logo.png"

# Theme settings
theme: just-the-docs
color_scheme: wider
search_enabled: true
heading_anchors: true
permalink: pretty
aux_links:
  Brightspace:
    - "https://brightspace.tudelft.nl/d2l/home/594596"
  Answers:
    - "https://answers.citg.tudelft.nl"
  Files:
    - "https://mude.citg.tudelft.nl/course-files/"
  Textbook:
    - "https://mude.citg.tudelft.nl/book"
  Home:
    - "https://mude.citg.tudelft.nl"
aux_links_new_tab: true

# Collections for website data
collections:
  staffers:
  modules:
  schedules:
  announcements:
  questions:
# Default layouts for each collection type
defaults:
  - scope:
      path: ""
      type: staffers
    values:
      layout: staffer
      height: 300
      subpath: "/assets/images/"
      width: 300
  - scope:
      path: ""
      type: modules
    values:
      layout: module
  - scope:
      path: ""
      type: schedules
    values:
      layout: schedule
  - scope:
      path: ""
      type: announcements
    values:
      layout: announcement
  - scope:
      path: ""
      type: questions
    values:
      layout: question

compress_html:
  clippings: all
  comments: all
  endings: all
  startings: []
  blanklines: false
  profile: false

is_draft: true
draft_banner: '⚠This is a draft website. The most recent published version can be found <a href="https://mude.citg.tudelft.nl/">here</a>.⚠'
